<script setup>
import Stage from "@components/Level/Stage.vue";
import ToolBar from "@components/Level/ToolBar.vue";
import LiveBar from "@components/Level/LiveBar.vue";

import { computed } from "vue";
import { useStore } from "vuex";

// Connect to Store and Router
const store = useStore();

// Compute necessary Store values for Component
const level = computed(() => store.state.level.data);
const isLive = computed(() => store.state.live.isLive);
</script>

<template>
  <div class="is-flex height-100">
    <ToolBar v-if="!isLive" :level="level" />
    <Stage />
    <LiveBar v-if="isLive && level._id" :level-id="level._id" :level-name="level.name" />
  </div>
</template>
